Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.DynamicAny
Class NameDynAnyPair

    java.lang.Object
      org.omg.DynamicAny.NameDynAnyPair

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class NameDynAnyPair

extends Object
implements IDLEntity

org/omg/DynamicAny/NameDynAnyPair.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from ../../../../src/share/classes/org/omg/DynamicAny/DynamicAny.idl Wednesday, August 11, 2004 5:04:16 AM GMT-08:00

Field Summary
`String` | `id` The name associated with the DynAny.
`DynAny` | `value` The DynAny value associated with the name.

Constructor Summary
`NameDynAnyPair()`
`NameDynAnyPair(String _id, DynAny _value)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    public String id

  The name associated with the DynAny.

### value

    public DynAny value

  The DynAny value associated with the name.

Constructor Detail

### NameDynAnyPair

    public NameDynAnyPair()

### NameDynAnyPair

    public NameDynAnyPair(String _id,
                          DynAny _value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.